pkgsrc/www/php-nextcloud などが特定条件下で segmentation fault になる件

条件が揃うと、nextcloud の occ status みたいな単純な処理でも segmentation fault が発生する。

根が深かったのでメモっておく。
(書きかけ。随時更新。)

概要
php で mysql と curl の extension が両方あり、mysql 5.7 以降と openssl 1.0系(以前)を組み合わせていると不具合が発生する(場合がある)。

pkgsrc(2019年2月頃~)の mysql のデフォルトは 5.7、NetBSD 8.[01] の openssl は 1.0.2k、なので引っ掛かりやすい(はず)。
(NetBSD 9.0 からは openssl 1.1系になるはず……)
“pkgsrc/www/php-nextcloud などが特定条件下で segmentation fault になる件” の続きを読む

コミックマーケット96

サークル情報登録&当落情報検索システムより:

◎あなたのサークル「Estuary」は、残念ながら抽選洩れになりました。

まあ、こんなサークルがC90~C95まで6連続当選だったのがラッキーってもので。

今作ってる「何か」ができたら、どこかに委託するか秋M3に出るのもアリかなとか。
できないかもしれませんが。